
TYPO3.Neos - Bug # 33831

Status: Resolved Priority: Should have
Author: Rens Admiraal Category:
Created: 2012-02-10 Assigned To: Rens Admiraal
Updated: 2012-03-31 Due date:
Subject: Only show data-* attributes when logged in to TYPO3
Description

The ContentElementWrapping service is adding the data-* attributes to the content elements, without checking if someone is logged in
to TYPO3.

This is a problem as it doubles the size of the HTML output, and might be a security risk. We should hide these data attributes when
the site is not editable.

Associated revisions
Revision 30a9e58f - 2012-03-31 00:03 - Rens Admiraal

[TASK] Hide data-* attributes in website frontend

The data-* attributes on DOM elements are not needed outside the
backend context, so they should not be visible for a normal
website visitor (and thus minimalizing the HTML source size).

Change-Id: Ieb6c8005d64ea8f0a78ff69512d08fa9837e59b2
Resolves: #33831

History
#1 - 2012-03-09 15:06 - Karsten Dambekalns
- Project changed from Base Distribution to TYPO3.Neos

#2 - 2012-03-11 22:14 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9558

#3 - 2012-03-11 22:21 - Rens Admiraal
- Status changed from New to Under Review

#4 - 2012-03-31 00:04 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9558

#5 - 2012-03-31 02:39 - Rens Admiraal
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:30a9e58f5fb00365398e9ec020c73b0dd4611939.
